name: Checkout Example

on:
  workflow_dispatch:

jobs:
  demo-checkout:
    runs-on: ubuntu-latest
    steps:
      - name: List space
        # workspace is a special variable containing the path to the working directory 
        # on the runner machine. Github is a context which we can access in expression ${{}}. 
        run: ls -la ${{ github.workspace }}
      
      - name: Checkout source code 
        uses: actions/checkout@v4 # use github action from repo github.com/actions/checkout
      
      - name: List space again
        run: ls -la ${{ github.workspace }}
